import { ParameterizedContext, Context, DefaultState } from 'koa';
export declare function is(val: unknown, type: string): boolean;
export declare function isFunction<T = Function>(val: unknown): val is T;
export declare function isArray(val: unknown): val is Array<any>;
export declare function isRegExp(val: unknown): val is RegExp;
export declare function sleep(time: number): Promise<unknown>;
export declare function param2Obj(url: string): any;
export declare function parseData(ctx: ParameterizedContext<DefaultState, Context>): Promise<unknown>;
